Author Topic: Installing 3.4 on top of 13.10 ubuntu server  (Read 9770 times)

christian

  • Guest
Installing 3.4 on top of 13.10 ubuntu server
« on: February 22, 2014, 08:37:30 am »
Having decided to give a look at 3.4, I tried to install it on top of 13.10 server, following this link.

For the time being, it doesn't work for me:
Code: [Select]
Setting up zentyal-core (3.4~105) ...
Installing new version of config file /etc/cron.daily/zentyal ...
Installing new version of config file /etc/init.d/zentyal ...
Installing new version of config file /etc/zentyal/core.conf ...
Can't call method "name" on an undefined value at /usr/share/perl5/EBox/HAProxy.pm line 456, <GEN0> line 281.
dpkg: error processing zentyal-core (--configure):
 subprocess installed post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of zentyal-software:
 zentyal-software depends on zentyal-core (>= 3.4~1); however:
  Package zentyal-core is not configured yet.
 zentyal-software depends on zentyal-core (<< 3.5); however:
  Package zentyal-core is not configured yet.

dpkg: error processing zentyal-software (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of zentyal:
 zentyal depends on zentyal-core; however:
  Package zentyal-core is not configured yet.
 zentyal depends on zentyal-software; however:
  Package zentyal-software is not configured yet.

dpkg: error processing zentyal (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Processing triggers for libc-bin ...
Processing triggers for ureadahead ...
Errors were encountered while processing:
 zentyal-core
 zentyal-software
 zentyal
E: Sub-process /usr/bin/dpkg returned an error code (1)

I'll try to investigate further and will keep you informed  ;)

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #1 on: February 22, 2014, 09:07:03 am »
Most likely due to previous Zentyal (3.3.4) installation that was not totally removed.
Performed clean-up and install again, only zentyal-core.

It works better, meaning installation proceeds and prompt you for "Zentyal HTTPS port".
This is slightly misleading because what you define here is not HTTPS port but Zentyal admin port.  But once you know it, this is not a major problem  ;)
I set it up with my preferred admin port and try to connect but... nothing. It doesn't work because Zentyal admin is still listening on port 443.
However, if you look at processes that are listening, you will notice that nginx is listening on port 6xxxx, "xxxx" being what you have defined as your preferred Zentyal admin port...

Once connected to port 443, you can change it using GUI  ::)

Testing further  :)
« Last Edit: February 22, 2014, 09:13:00 am by christian »

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #2 on: February 22, 2014, 09:16:55 am »
Some steps further, as I was wondering why haproxy, although "High availability" module was not yet installed, was already running..  ???

It appears that when accessing Zentyal webadmin, you are in fact connecting to HAproxy listening on you customized admin (1443 for me) port and this service redirects you to nginx listening only on 127.0.0.1:61443

I'm going to install this "High availability" module now  ;D 8)

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #3 on: February 22, 2014, 09:37:35 am »
HA module:

what you configure here is "Zentyal cluster"  :o :o :o
few settings:
  • create or join existing cluster
  • cluster name

Eager to read some documentation  :) 
This "cluster" is based on Corosync for what concerns membership.


little problem (not due to this module BTW) configuring network (or cluster) seems to work but doesn't return to available web page  ???
bad luck, once I tried to configure network I can't access web admin page anymore. Server is listening (and responsive) on basic HTTP port but 1443 doesn't work  :-\


my bad  :-[  network conflict with existing IP elsewhere on my (busy) network. Once fixed, I can access Zentyal adin interface again but saving changes still reports

Quote
Corrupted Content Error

The page you are trying to view cannot be shown because an error in the data transmission was detected.

The page you are trying to view cannot be shown because an error in the data transmission was detected.

    Please contact the web site owners to inform them of this problem.
« Last Edit: February 22, 2014, 09:41:09 am by christian »

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #4 on: February 22, 2014, 09:50:22 am »
Moving forward...  8)

In system section, there is now an "HTTP services" menu showing "Zentyal Administration port and other reverse proxy service ports".
Looks interesting isn't it?  :D althoug, for the time being, it doesn't provide anything else than capability to enable HTTP in addition to what "Administration interface TCP port " permits in "system / general" section. I'm a bit confused and didn't dare to change anything yet because my server is remote. I'll look at this later.

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #5 on: February 22, 2014, 10:02:31 am »
Installing HTTP proxy now...

This triggers some additional components (FW, DNS, NTP, users & computers)
but it doesn't work out-of-the-box  :-\

Quote
Installing packages
The packages installation has not finished correctly . More information on the logs in /var/log/zentyal/
Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?


Looking at /var/log/zentyal/zentyal.log now.
Not helpful (at least it confirms the corosync / pacemaker stuff) but /var/log/zentyal/software.log  does help:

Quote
2014-02-22 09:51:58> Zentyal apt-wrapper install started
2014-02-22 09:51:58> Reading package lists...
2014-02-22 09:51:59> Building dependency tree...
2014-02-22 09:51:59> Reading state information...
2014-02-22 09:51:59> The following extra packages will be installed:
2014-02-22 09:51:59>   adzapper auth-client-config bind9 bind9utils clamav clamav-base
2014-02-22 09:51:59>   clamav-freshclam dansguardian heimdal-kdc ldap-auth-client ldap-auth-config
2014-02-22 09:51:59>   ldap-utils libauthen-krb5-easy-perl libclamav6 libdata-hexdumper-perl
2014-02-22 09:51:59>   libecap2 libkdc2-heimdal libmnl0 libnet-dns-perl libnet-ntp-perl
2014-02-22 09:51:59>   libnetfilter-conntrack3 libnss-ldap libodbc1 libpam-heimdal libpam-ldap
2014-02-22 09:51:59>   libquota-perl libslp1 libsys-filesystem-perl libtommath0 msktutil
2014-02-22 09:51:59>   openbsd-inetd quota slapd slapd-smbk5pwd squid-langpack squid3 squid3-common
2014-02-22 09:51:59>   update-inetd zentyal-firewall zentyal-ntp zentyal-users
2014-02-22 09:51:59> Suggested packages:
2014-02-22 09:51:59>   konqueror libpam-cracklib clamav-docs squid heimdal-docs libclamunrar6 nscd
2014-02-22 09:51:59>   libmyodbc odbc-postgresql tdsodbc unixodbc-bin slpd openslp-doc rpcbind
2014-02-22 09:51:59>   portmap squidclient squid-cgi squid-purge smbclient winbindd
2014-02-22 09:51:59> The following NEW packages will be installed:
2014-02-22 09:51:59>   adzapper auth-client-config bind9 bind9utils clamav clamav-base
2014-02-22 09:51:59>   clamav-freshclam dansguardian heimdal-kdc ldap-auth-client ldap-auth-config
2014-02-22 09:51:59>   ldap-utils libauthen-krb5-easy-perl libclamav6 libdata-hexdumper-perl
2014-02-22 09:51:59>   libecap2 libkdc2-heimdal libmnl0 libnet-dns-perl libnet-ntp-perl
2014-02-22 09:51:59>   libnetfilter-conntrack3 libnss-ldap libodbc1 libpam-heimdal libpam-ldap
2014-02-22 09:51:59>   libquota-perl libslp1 libsys-filesystem-perl libtommath0 msktutil
2014-02-22 09:51:59>   openbsd-inetd quota slapd slapd-smbk5pwd squid-langpack squid3 squid3-common
2014-02-22 09:51:59>   update-inetd zentyal-dns zentyal-firewall zentyal-ntp zentyal-squid
2014-02-22 09:51:59>   zentyal-users
2014-02-22 09:54:08> 0 upgraded, 43 newly installed, 0 to remove and 0 not upgraded.
2014-02-22 09:54:08> Need to get 1008 kB/12.4 MB of archives.
2014-02-22 09:54:08> After this operation, 36.9 MB of additional disk space will be used.
2014-02-22 09:54:08> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-firewall all 3.4~92
2014-02-22 09:54:08>   Could not connect to archive.zentyal.org:80 (31.222.178.227), connection timed out
2014-02-22 09:54:08> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-dns all 3.4~105
2014-02-22 09:54:08>   Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:08> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-ntp all 3.4~59
2014-02-22 09:54:08>   Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:08> Err http://archive.zentyal.org/zentyal/ 3.4/main libauthen-krb5-easy-perl i386 0.91-1
2014-02-22 09:54:08>   Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:08> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-users all 3.4~105
2014-02-22 09:54:08>   Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:08> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-squid all 3.4~105
2014-02-22 09:54:08>   Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:08> Get:1 http://us.archive.ubuntu.com/ubuntu/ saucy-updates/main bind9utils i386 1:9.9.3.dfsg.P2-4ubuntu1.1 [236 kB]
2014-02-22 09:54:09> Get:2 http://us.archive.ubuntu.com/ubuntu/ saucy-updates/main bind9 i386 1:9.9.3.dfsg.P2-4ubuntu1.1 [326 kB]
2014-02-22 09:54:09> Get:3 http://us.archive.ubuntu.com/ubuntu/ saucy/main auth-client-config all 0.9ubuntu1 [15.4 kB]
2014-02-22 09:54:09> Get:4 http://us.archive.ubuntu.com/ubuntu/ saucy/main ldap-auth-client all 0.5.3 [2760 B]
2014-02-22 09:54:09> Get:5 http://us.archive.ubuntu.com/ubuntu/ saucy/main ldap-auth-config all 0.5.3 [9434 B]
2014-02-22 09:54:09> Get:6 http://us.archive.ubuntu.com/ubuntu/ saucy/universe libquota-perl i386 1.6.6+dfsg-2build1 [40.9 kB]
2014-02-22 09:54:09> Get:7 http://us.archive.ubuntu.com/ubuntu/ saucy/universe libnet-ntp-perl all 1.3-1 [9012 B]
2014-02-22 09:54:09> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-firewall/zentyal-firewall_3.4~92_all.deb  Could not connect to archive.zentyal.org:80 (31.222.178.227), connection timed out
2014-02-22 09:54:09> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-dns/zentyal-dns_3.4~105_all.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:09> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-ntp/zentyal-ntp_3.4~59_all.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:09> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/liba/libauthen-krb5-easy-perl/libauthen-krb5-easy-perl_0.91-1_i386.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:09> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-users/zentyal-users_3.4~105_all.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:09> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-squid/zentyal-squid_3.4~105_all.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 09:54:09> Fetched 639 kB in 2min 9s (4923 B/s)
2014-02-22 09:54:09> E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
2014-02-22 09:54:09> Zentyal apt-wrapper install finished

Unable to connect to archive.zentyal.org:http  :o

Indeed... running apt-update:
Quote
W: Failed to fetch http://archive.zentyal.org/zentyal/dists/3.4/InRelease
W: Failed to fetch http://archive.zentyal.org/zentyal/dists/3.4/Release.gpg  Unable to connect to archive.zentyal.org:http:
W: Some index files failed to download. They have been ignored, or old ones used instead.


I'll perhaps test further later...  ::)
« Last Edit: February 22, 2014, 10:25:12 am by christian »

peterpugh

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #6 on: February 22, 2014, 10:28:52 am »

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #7 on: February 22, 2014, 10:35:24 am »
perhaps.... I'm only using Zentyal GUI to install modules  ::)

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #8 on: February 22, 2014, 12:49:43 pm »
A bit later, I successfully installed DNS, then trying to install HTTP proxy, behaviour is slightly different (as DNS installed).

but still software.log showing:
Quote
2014-02-22 12:42:46> Zentyal apt-wrapper install started
2014-02-22 12:42:46> Reading package lists...
2014-02-22 12:42:47> Building dependency tree...
2014-02-22 12:42:47> Reading state information...
2014-02-22 12:42:48> The following extra packages will be installed:
2014-02-22 12:42:48>   adzapper auth-client-config clamav clamav-base clamav-freshclam dansguardian
2014-02-22 12:42:48>   heimdal-kdc ldap-auth-client ldap-auth-config ldap-utils
2014-02-22 12:42:48>   libauthen-krb5-easy-perl libclamav6 libdata-hexdumper-perl libecap2
2014-02-22 12:42:48>   libkdc2-heimdal libmnl0 libnet-dns-perl libnet-ntp-perl
2014-02-22 12:42:48>   libnetfilter-conntrack3 libnss-ldap libodbc1 libpam-heimdal libpam-ldap
2014-02-22 12:42:48>   libquota-perl libslp1 libsys-filesystem-perl libtommath0 msktutil
2014-02-22 12:42:48>   openbsd-inetd quota slapd slapd-smbk5pwd squid-langpack squid3 squid3-common
2014-02-22 12:42:48>   update-inetd zentyal-ntp zentyal-users
2014-02-22 12:42:48> Suggested packages:
2014-02-22 12:42:48>   konqueror libpam-cracklib clamav-docs squid heimdal-docs libclamunrar6 nscd
2014-02-22 12:42:48>   libmyodbc odbc-postgresql tdsodbc unixodbc-bin slpd openslp-doc rpcbind
2014-02-22 12:42:48>   portmap squidclient squid-cgi squid-purge smbclient winbindd
2014-02-22 12:42:48> The following NEW packages will be installed:
2014-02-22 12:42:48>   adzapper auth-client-config clamav clamav-base clamav-freshclam dansguardian
2014-02-22 12:42:48>   heimdal-kdc ldap-auth-client ldap-auth-config ldap-utils
2014-02-22 12:42:48>   libauthen-krb5-easy-perl libclamav6 libdata-hexdumper-perl libecap2
2014-02-22 12:42:48>   libkdc2-heimdal libmnl0 libnet-dns-perl libnet-ntp-perl
2014-02-22 12:42:48>   libnetfilter-conntrack3 libnss-ldap libodbc1 libpam-heimdal libpam-ldap
2014-02-22 12:42:48>   libquota-perl libslp1 libsys-filesystem-perl libtommath0 msktutil
2014-02-22 12:42:48>   openbsd-inetd quota slapd slapd-smbk5pwd squid-langpack squid3 squid3-common
2014-02-22 12:42:48>   update-inetd zentyal-ntp zentyal-squid zentyal-users
2014-02-22 12:42:48> 0 upgraded, 39 newly installed, 0 to remove and 0 not upgraded.
2014-02-22 12:42:48> Need to get 265 kB/11.7 MB of archives.
2014-02-22 12:42:48> After this operation, 34.8 MB of additional disk space will be used.
2014-02-22 12:42:48> WARNING: The following packages cannot be authenticated!
2014-02-22 12:42:48>   zentyal-ntp libauthen-krb5-easy-perl zentyal-users zentyal-squid
2014-02-22 12:44:55> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-ntp all 3.4~59
2014-02-22 12:44:55>   Could not connect to archive.zentyal.org:80 (31.222.178.227), connection timed out
2014-02-22 12:44:55> Err http://archive.zentyal.org/zentyal/ 3.4/main libauthen-krb5-easy-perl i386 0.91-1
2014-02-22 12:44:55>   Unable to connect to archive.zentyal.org:http:
2014-02-22 12:44:55> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-users all 3.4~105
2014-02-22 12:44:55>   Unable to connect to archive.zentyal.org:http:
2014-02-22 12:44:55> Err http://archive.zentyal.org/zentyal/ 3.4/main zentyal-squid all 3.4~105
2014-02-22 12:44:55>   Unable to connect to archive.zentyal.org:http:
2014-02-22 12:44:55> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-ntp/zentyal-ntp_3.4~59_all.deb  Could not connect to archive.zentyal.org:80 (31.222.178.227), connection timed out
2014-02-22 12:44:55> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/liba/libauthen-krb5-easy-perl/libauthen-krb5-easy-perl_0.91-1_i386.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 12:44:55> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-users/zentyal-users_3.4~105_all.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 12:44:55> Failed to fetch http://archive.zentyal.org/zentyal/pool/main/z/zentyal-squid/zentyal-squid_3.4~105_all.deb  Unable to connect to archive.zentyal.org:http:
2014-02-22 12:44:55> E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
2014-02-22 12:44:55> Zentyal apt-wrapper install finished

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #9 on: February 22, 2014, 04:57:31 pm »
I've to admit that I'm puzzled with the previous error message
Quote
Could not connect to archive.zentyal.org:80 (31.222.178.227), connection timed out

I've been able to install DNS, then tried again proxy: no success so far.
Try monitor, it works... so I can connect to archive.zentyal.org isn't it?  ::) Let's try HTTP proxy again.... failure  :(  ???

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server: HTP proxy installation
« Reply #10 on: February 23, 2014, 06:33:40 am »
 ;D ;D  this morning one update was available (zentyal-core)  !
I installed is and after multiple failures (that I didn't investigate), it was successfully installed. Cool. I decided to try again HTTP proxy... et voilà.
Zentyal HTTP proxy installed smoothly  :)
Let's activate it... since this component is check for activation, I can't access my (remote) server anymore
Quote
504 Gateway Time-out
----------------------------------------------------
nginx

 ::) ::) ::)   :-\

Torsten73

  • Zen Warrior
  • ***
  • Posts: 174
  • Karma: +6/-1
    • View Profile
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #11 on: February 24, 2014, 08:42:13 pm »
I´ve seen this error also. But i used the iso from 23.02.
What i noticed is a broken webserver anytime i install openchange´s sogo webmailer. So i can´t access with https://ip/sogo

the high availability modul is also here, i am very interested in it. A new package and maybe not yet ready to use.
Also i noticed major problems depending on an outlook anywhere support which is new. I also found some tickets for it.
--------------------------------------------------------------
Zentyal 3.5 (offline) unter Ubuntu12.04.3 YAVDR 0.5 als KVM Host
Action Pack Abo with a running Exc. 2013 :-)

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #12 on: February 25, 2014, 06:17:40 am »
I realize that posting as above without details about version is quite useless.
Above tests are based on 3.4~107 zentyal core (and before).

I'll upgrade to next build asap...

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #13 on: February 25, 2014, 06:31:47 am »
installing today's updates:
zentyal-core 3.4~107 to ~109
zentyal-dns from 3.4.~105 to ~109

console is looked on "Setting up zentyal-core (3.4~109) ..." and nothing occurs.
Is there any relationship but yesterday, trying to start/stop Zentyal service I had similar behaviour: stopping service had no impact but "wait forever".

rebooting...  :-[ :-[

christian

  • Guest
Re: Installing 3.4 on top of 13.10 ubuntu server
« Reply #14 on: February 25, 2014, 06:40:03 am »
In case it helps: after (partially ?) applying Zentyal updates and need to reboot, I tried to access webadmin.
This process was running but I couldn't access the interface. It took me one minute to realize that my customize admin port was reverted back to 443  >:( >:( >:(
BTW, certificates have been regenerated too  ???